#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>


#define READY_BIT	0x80	//bit 7
#define A2D_CHANNELS_MAX	8 /* 0 TO 7 channels on device */
#define DAC_CHANNELS_MAX	4 
#define A2D_DEVICE_ERROR 0x5000


int main () {
	int fdd1, fda1, fda8, fda7;
	int response; 
	int datavalue, datavalue2 = 0;


	fdd1= open ("/dev/SBC/TS9700/0/DAC/0", O_WRONLY);
	fda1= open ("/dev/SBC/TS9700/0/A2D/0", O_RDWR);
	fda7= open ("/dev/SBC/TS9700/0/A2D/6", O_RDWR);
	fda8= open ("/dev/SBC/TS9700/0/A2D/7", O_RDWR);

	if (fdd1 <= 0)
		return -EIO;
	if (fda1 <= 0)
		return -EIO;
	if (fda7 <= 0)
		return -EIO;
	if (fda8 <= 0)
		return -EIO;
	
	printf("Starting!\n");

	write(fda7, "trigger", sizeof("trigger"));
	if ( read (fda7, &datavalue2, sizeof(int)) < 0)		
		printf ("read reported errror on channel 7\n");
	else		
		printf("response from A2d channel 7: %d\n", datavalue2);


	write(fda8, "trigger", sizeof("trigger"));
	response = read (fda8, &datavalue2, sizeof(int));
	if ( response < 0)		
		printf ("read reported errror on channel 8\n");
	else		
		printf("response from A2d channel 8: %d\n", datavalue2);

	write(fda1, "trigger", sizeof("trigger"));
	response = read (fda1, &datavalue2, sizeof(int));
	if ( response < 0)		
		printf ("read reported errror on channel 1\n");
	else		
		printf("response from A2d channel 1: %d\n\n", datavalue2);



//for this to work out, loop DAC channel 1 to AtoD Channel 0
	for (datavalue=0; datavalue < 4096; datavalue+=500) {

		write (fdd1, &datavalue, sizeof(char));

		usleep (1); 

		write (fda1, "trigger", sizeof("trigger"));
		if (read(fda1, &datavalue2, sizeof(int)) < 0)
			printf("error in read \n");

		printf("dac: %d  \tchannel 1: %d\n", datavalue, datavalue2);
		
	}
	return 0;
}
